MediaWiki:Timeless.css: Difference between revisions

From Mamiya Wiki
mNo edit summary
mNo edit summary
Line 12: Line 12:
blockquote {
blockquote {
     border-left: 3px solid var(--yumehisa);
     border-left: 3px solid var(--yumehisa);
     padding: 1em;
     padding-left: 1em;
}
}



Revision as of 14:15, 27 June 2023

/* All CSS here will be loaded for users of the Timeless skin */
/* General */
body {
	line-height: 1.6;
	background: #000;
}
table {
	border-collapse: separate;
	border-spacing: 2px;
}

blockquote {
    border-left: 3px solid var(--yumehisa);
    padding-left: 1em;
}

#mw-body h2 { overflow-y: hidden; }
#mw-body div.floatright, table.floatright { margin: 0 0 .5em .5em; }
#mw-body div.floatleft,table.floatleft { margin: 0 .5em .5em 0; }

#p-logo-text a {
	font-family: 'KozGoPro';
	text-transform: uppercase;
	font-weight: 700;
    -webkit-text-fill-color: white; /* Will override color (regardless of order) */
    -webkit-text-stroke-width: 1px;
    -webkit-text-stroke-color: black;
}

/* Navigation */
#mw-site-navigation .mw-portlet h3 {
	text-transform: uppercase;
	font-family: 'Arvo', sans-serif;
	font-weight: 700;
}
#mw-site-navigation .mw-portlet h3::before {
	content: '🌖';
	color: #fff;
}

/* Navbar Colours */

.color-left {
    background: var(--protag)!important;
}
.color-middle {
    background: var(--yumehisa)!important;
}
.color-right {
    background: var(--natsume)!important;
}

/* Heading Fonts */

#mw-content h1, #mw-content h2, #mw-content h3, #mw-content h4, #mw-content h5, #mw-content h6, #mw-content dt {
    font-family: 'KozGoPro';
}

#mw-content .list h5 {
    margin-top: 1em;
}

#mw-content h2.welcomeheader {
    border-bottom: none;
    font-size: 1.8rem;
}

#mw-content h5 span.mw-headline {
    font-weight: bold;
    font-size: 1.25rem;
}

#mw-content h1.firstHeading {
     border-bottom: solid 4px var(--yumehisa);
}

#mw-footer-container { color: #000; border-top: 4px solid var(--yumehisa); }
#mw-footer-container a { color: var(--natsume); }

#mw-content-container {
    border-bottom: none;
}